package core.util.net

/**
 * Function : 网络变化监听事件
 * Date:  2020-10-15 10:29
 * Author: ReiChin_
 * Version:
 */
interface NetChangeListener {

    /**
     * wifi变为4G
     */
    fun onWifiTo4G()

    /**
     * 4G变为wifi
     */
    fun on4GToWifi()

    /**
     * 网络断开
     */
    fun onNetDisconnected()

}